Jump to content
  • 0
Sign in to follow this  
Guest drac

update an old e17 theme for e19...

Question

Guest drac

Hello,

I discovered a really pretty E theme called "grunge" here : https://exchange.enlightenment.org/theme/show/154

The problem is that this theme does not look compatible with e19, whiwh I am using.

I've decompiled it and am trying to recompile it but several instrucions as for example the "spectrum{}" block refuse to compile. I'm trying to understand how to replace them with instructions usable by the newer versions of edje but I'm having a hard time finding them

 

So I'm asking : do you know any miracle solution or at least a list of everything that changed since the old E and EFL ?

 

Thanks !

Share this post


Link to post
Share on other sites

6 answers to this question

Recommended Posts

  • 0

The theme is VERY old, so you have to update to e17 stable (spectrum{} part, file manager, adding tasks module...) after that you can try to follow this guide: https://phab.enlightenment.org/w/theme_migration/

 

The miracle solution could be searching on our forum for some topics that talk about theme migration like these to update to e17 stable:

http://forums.bodhilinux.com/index.php?/topic/2584-unified-look-for-applications/page-2&do=findComment&comment=24032

http://forums.bodhilinux.com/index.php?/topic/4424-updating-old-edje-themes/page-2?hl=+unified%20+look

 

good luck and keep in mind that you only get the EDJE part of your theme, I mean the shelf, the borders, the pointer and all that stay outside the window. To get Elementary (ELM) support (so to make themed eSudo, eDit, ePad and other "e"-apps) you have to write by yourself the theme. :D

Share this post


Link to post
Share on other sites
  • 0
Guest drac

Thanks a lot ! I will try that !

Just a last question : There is another version here : http://fullmetaltoma.deviantart.com/art/Grunge-82208747(I know it's another version because the .edj files do not have the same weigh) It was posted 2 years later so is there any chance for it to be already updated foe e17 stable ? (yes, I'm a bit lazy x)

and the thing is, this one I cannot decompile using edje_decc, it says "grunge_by_fullmetaltoma.edj does not appear to be an edje file"...

Share this post


Link to post
Share on other sites
  • 0

If you get an edje_decc error could be related that this is OLDER than the other you have found on exchange :)

Share this post


Link to post
Share on other sites
  • 0
Guest drac

Argh x) Then I'll have to do with the first one. Thanks again for helping me !

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×